<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
 <head>
  <title>JEE Banque</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
  <link href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/5.1.3/css/bootstrap.min.css" rel="stylesheet">
  <link href="https://cdn.datatables.net/1.11.5/css/dataTables.bootstrap5.min.css" rel="stylesheet">
  

  
</head>
 
<style>
body {font-family: Arial, Helvetica, sans-serif;align-items: center;}
form {border: 3px solid #f1f1f1;align:center;margin-top:35px;}

input[type=text], input[type=password] {
  width: 50%;
  height:35px;
  padding: 12px 20px;
  display: inline-block;
  border: 1px solid #ccc;
  box-sizing: border-box;
}

.button {
  background-color: #04AA6D;
  color: white;
  padding: 14px 20px;
  margin: 8px 0;
  border: none;
  cursor: pointer;
  width: 50%;
}

.button:hover {
  opacity: 0.8;
}

.cancelbtn {
  width: auto;
  padding: 10px 18px;
  background-color: #f44336;
}

.imgcontainer {
  text-align: center;
  margin: 24px 0 12px 0;
}

img.avatar {
height:20%;
  width: 10%;
  border-radius: 50%;
}


  body{
  
    background: url([[@{/img/bacg.jpg}]])
                no-repeat center center fixed;
    
   
}
.container
{  margin-left: 120px;
}


span.psw {
  float: right;
  padding-top: 16px;
}

/* Change styles for span and cancel button on extra small screens */
@media screen and (max-width: 300px) {
  span.psw {
     display: block;
     float: none;
  }
  .cancelbtn {
     width: 100%;
  }

}
</style>
   <body>
   
     
      
      <!-- /login?error=true -->
      <div th:if="${#request.getParameter('error') == 'true'}"
            style="color:red;margin:10px 0px;">
         Login Failed!!!<br />
         Reason :
         <span th:if="${#session!= null and #session.getAttribute('SPRING_SECURITY_LAST_EXCEPTION') != null}"
            th:utext="${#session.getAttribute('SPRING_SECURITY_LAST_EXCEPTION').message}">
                Static summary
         </span>
           
      </div>
     
      <form name='f' th:action="@{/j_spring_security_check}" method='POST' class="container">
      <div class="imgcontainer">
    <img  th:src="@{/img/login.png}" alt="Avatar" class="avatar">
  </div>
<div class="container">
           
               <input type='text' name='nomEmploye' value='' placeholder="Nom d'utilisateur">
            <br>
            <br>
               <input type='password' name='encrytedPassword' placeholder="Mot de passe" />
        <br>
        <br>
                   
            <input name="submit" class="button" type="submit" value="Login" />
          </div>
      </form>
      

   </body>
   
</html>